{
  config,
  options,
  lib,
  pkgs,
  inputs,
  osConfig,
  ...
}: {
  imports = [
    ./desktop/shared/wayland.nix
    ./desktop/plasma.nix
  ];

  my.desktop.plasma.enable = true;

  programs.foot = {
    enable = true;
    settings.main = {
      shell = "fish";
      font = "monospace:size=10";
      app-id = "foot";
      pad = "10x8 center";
    };
    settings.url.osc8-underline = "always";
    settings.cursor.style = "beam";
  };
}
